Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 293209 - [QA] net-dialup/capi4k-utils doesn't respect LDFLAGS
Summary: [QA] net-dialup/capi4k-utils doesn't respect LDFLAGS
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Stefan Briesenick (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: ldflags
  Show dependency tree
 
Reported: 2009-11-14 19:47 UTC by Justin Lecher
Modified: 2010-08-09 21:00 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Justin Lecher gentoo-dev 2009-11-14 19:47:53 UTC
* QA Notice: Files built without respecting LDFLAGS have been detected
 *  Please include the following list of files in your report:
 * /usr/lib64/pppd/2.4.2/capiplugin.so
 * /usr/lib64/pppd/2.4.2/userpass.so
 * /usr/lib64/pppd/2.4.3/capiplugin.so
 * /usr/lib64/pppd/2.4.3/userpass.so
 * /usr/lib64/pppd/2.4.4/capiplugin.so
 * /usr/lib64/pppd/2.4.4/userpass.so
 * /usr/bin/capiinfo
 * /usr/sbin/avmcapictrl
 * /usr/sbin/capiinit
 * /usr/sbin/rcapid




$ emerge --info =net-dialup/capi4k-utils-20050718-r3
Portage 2.2_rc49 (default/linux/amd64/10.0, gcc-4.4.2-asneeded, glibc-2.10.1-r0, 2.6.30-gentoo-r5 x86_64)
=================================================================
                        System Settings
=================================================================
System uname: Linux-2.6.30-gentoo-r5-x86_64-Intel-R-_Core-TM-2_Quad_CPU_Q6600_@_2.40GHz-with-gentoo-2.0.1
Timestamp of tree: Sat, 14 Nov 2009 15:15:02 +0000
distcc 3.1 x86_64-pc-linux-gnu [disabled]
ccache version 2.4 [enabled]
app-shells/bash:     4.0_p28
dev-java/java-config: 2.1.9-r1
dev-lang/python:     2.6.4, 3.1.1-r1
dev-python/pycrypto: 2.0.1-r8
dev-util/ccache:     2.4-r8
dev-util/cmake:      2.8.0
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.5.2-r2
sys-apps/sandbox:    2.2
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.7.9-r1, 1.9.6-r2, 1.10.2, 1.11
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.30-r1
ABI="amd64"
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="*"
ACCEPT_PROPERTIES="*"
ALSA_CARDS="hda-intel"
ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol"
ANT_HOME="/usr/share/ant"
APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias"
APBS_PSIZE="/usr/lib64/python2.6/site-packages/pdb2pqr/src/psize.py"
ARCH="amd64"
ASFLAGS_x86="--32"
AUTOCLEAN="yes"
CBUILD="x86_64-pc-linux-gnu"
CCACHE_DIR="/home/ccache64"
CCACHE_SIZE="3G"
CDEFINE_amd64="__x86_64__"
CDEFINE_x86="__i386__"
CFLAGS="-O2 -march=core2 -pipe -fomit-frame-pointer -mssse3 -mcx16 -mmmx -g"
CFLAGS_x86="-m32"
CHOST="x86_64-pc-linux-gnu"
CHOST_amd64="x86_64-pc-linux-gnu"
CHOST_x86="i686-pc-linux-gnu"
CLEAN_DELAY="5"
COLLISION_IGNORE="/lib/modules"
COLORFGBG="7;0"
COLORTERM="rxvt"
COLUMNS="279"
CONFIG_PROTECT="/etc /usr/share/X11/xkb /usr/share/hddtemp/ /usr/share/nano /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo /etc/udev/rules.d"
CVS_RSH="ssh"
CXXFLAGS="-O2 -march=core2 -pipe -fomit-frame-pointer -mssse3 -mcx16 -mmmx -g"
DBUS_SESSION_BUS_ADDRESS="unix:abstract=/tmp/dbus-Usi04FahEK,guid=f5cca84c5d81029f245a3a414afe86e1"
DCCC_PATH="/usr/lib64/distcc/bin"
DEFAULT_ABI="amd64"
DESKTOP_SESSION="gnome"
DESKTOP_STARTUP_ID="quick-lounge-applet-3396-whitebox-urxvtc-0_TIME213752"
DISPLAY=":0.0"
DISTCC_LOG=""
DISTCC_VERBOSE=""
DISTDIR="/usr/portage/distfiles"
EBUILD_DEFAULT_OPTS="--skip-manifest"
EBZR_STORE_DIR="/data/bzr-src/"
ECHANGELOG_USER="Justin Lecher (jlec) <jlec@j-schmitz.net>"
EDITOR="/bin/nano"
EGIT_STORE_DIR="/data/git-src/"
ELIBC="glibc"
EMERGE_DEFAULT_OPTS="--verbose --jobs=7 --load-average=8 --keep-going -t"
EMERGE_WARNING_DELAY="10"
ESVN_STORE_DIR="/data/svn-src/"
FCFLAGS="-O2 -march=core2 -pipe -fomit-frame-pointer -mssse3 -mcx16 -mmmx -g"
FEATURES="assume-digests ccache collision-protect distlocks fixpackages multilib-strict news noinfo parallel-fetch preserve-libs protect-owned sandbox sfperms sign splitdebug strict unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FETCHCOMMAND="/usr/bin/axel -a -o ${DISTDIR}/${FILE} ${URI}"
FFLAGS="-O2 -march=core2 -pipe -fomit-frame-pointer -mssse3 -mcx16 -mmmx -g"
GCC_SPECS="/usr/lib/gcc/x86_64-pc-linux-gnu/4.4.2/asneeded.specs"
GDK_USE_XFT="1"
GDMSESSION="gnome"
GDM_LANG="en_GB.UTF-8"
GDM_XSERVER_LOCATION="local"
GENTOO_MIRRORS="http://gentoo.j-schmitz.net/mirror/ 	ftp://ftp.gentoo.mesh-solutions.com/gentoo/ 	ftp://ftp.tu-clausthal.de/pub/linux/gentoo/ 	ftp://de-mirror.org/distro/gentoo/ 	ftp://linux.rz.ruhr-uni-bochum.de/gentoo-mirror/"
GNOME_DESKTOP_SESSION_ID="this-is-deprecated"
GNOME_KEYRING_PID="3274"
GNOME_KEYRING_SOCKET="/tmp/keyring-xSCB3L/socket"
GPG_AGENT_INFO="/tmp/seahorse-lSmagi/S.gpg-agent:3321:1"
GTK_RC_FILES="/etc/gtk/gtkrc:/home/justin/.gtkrc-1.2-gnome2"
HISTCONTROL="ignoredups"
HISTFILESIZE="2000"
HISTIGNORE="fg:bg"
HISTSIZE="2000"
HOME="/home/justin"
INFOPATH="/usr/share/info:/usr/share/binutils-data/x86_64-pc-linux-gnu/2.18/info:/usr/share/gcc-data/x86_64-pc-linux-gnu/4.4.2/info"
INPUT_DEVICES="keyboard mouse evdev"
I_KNOW_WHAT_I_AM_DOING="yes"
JAVAC="/home/justin/.gentoo/java-config-2/current-user-vm/bin/javac"
JAVACC_HOME="/usr/share/javacc/"
JAVA_HOME="/home/justin/.gentoo/java-config-2/current-user-vm"
JDK_HOME="/home/justin/.gentoo/java-config-2/current-user-vm"
KERNEL="linux"
LANG="en_GB.UTF-8"
LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text"
LC_CTYPE="en_GB.UTF-8"
LDFLAGS="-Wl,-O1,--hash-style=gnu,--sort-common,--as-needed"
LDFLAGS_x86="-m elf_i386"
LD_AS_NEEDED="1"
LESS="-R -M --shift 5"
LESSOPEN="|lesspipe.sh %s"
LIBDIR_amd64="lib64"
LIBDIR_amd64_fbsd="lib64"
LIBDIR_ppc="lib32"
LIBDIR_ppc64="lib64"
LIBDIR_sparc32="lib32"
LIBDIR_sparc64="lib64"
LIBDIR_x86="lib32"
LIBDIR_x86_fbsd="lib32"
LIBRARY_PATH="/opt/intel/Compiler/11.1/056/lib/intel64"
LINES="79"
LINGUAS="en"
LOGNAME="justin"
LS_COLORS="rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=01;05;37;41:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.xz=01;31:*.bz2=01;31:*.bz=01;31:*.tbz=01;31:*.tbz2=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.pdf=00;32:*.ps=00;32:*.txt=00;32:*.patch=00;32:*.diff=00;32:*.log=00;32:*.tex=00;32:*.doc=00;32:*.aac=00;36:*.au=00;36:*.flac=00;36:*.mid=00;36:*.midi=00;36:*.mka=00;36:*.mp3=00;36:*.mpc=00;36:*.ogg=00;36:*.ra=00;36:*.wav=00;36:*.axa=00;36:*.oga=00;36:*.spx=00;36:*.xspf=00;36:"
MAKEOPTS="-j12 -l8"
MANPATH="/home/justin/.gentoo/java-config-2/current-user-vm/man:/usr/local/share/man:/usr/share/man:/usr/share/binutils-data/x86_64-pc-linux-gnu/2.18/man:/usr/share/gcc-data/x86_64-pc-linux-gnu/4.4.2/man:/opt/intel/Compiler/11.1/056/man/en_US:/etc/java-config/system-vm/man/"
MULTILIB_ABIS="amd64 x86"
MULTILIB_STRICT_DENY="64-bit.*shared object"
MULTILIB_STRICT_DIRS="/lib32 /lib /usr/lib32 /usr/lib /usr/kde/*/lib32 /usr/kde/*/lib /usr/qt/*/lib32 /usr/qt/*/lib /usr/X11R6/lib32 /usr/X11R6/lib"
MULTILIB_STRICT_EXEMPT="(perl5|gcc|gcc-lib|binutils|eclipse-3|debug|portage)"
NETBEANS="apisupport cnd groovy gsf harness ide identity j2ee java mobility nb php profiler soa visualweb webcommon websvccommon xml"
NLSPATH="/opt/intel/Compiler/11.1/056/lib/locale/en_US/%N"
NOCOLOR="true"
OMP_NUM_THREADS="4"
OPENGL_PROFILE="nvidia"
ORBIT_SOCKETDIR="/tmp/orbit-justin"
PAGER="/usr/bin/less"
PATH="/data/scripts:/usr/local/bin:/usr/bin:/bin:/opt/bin:/usr/x86_64-pc-linux-gnu/gcc-bin/4.4.2:/opt/intel/Compiler/11.1/056/bin/intel64:/usr/games/bin:/data/scripts/"
PKGDIR="/usr/portage/packages"
PORTAGE_ARCHLIST="ppc x86-openbsd ppc-openbsd ppc64 x86-winnt x86-fbsd ppc-aix alpha arm x86-freebsd s390 amd64 x86-macos x64-openbsd ia64-hpux hppa x86-netbsd amd64-linux ia64-linux x86 sparc-solaris x64-freebsd sparc64-solaris x86-linux x64-macos sparc m68k-mint ia64 mips ppc-macos x86-interix hppa-hpux amd64-fbsd x64-solaris mips-irix m68k sh x86-solaris sparc-fbsd"
PORTAGE_BINHOST_CHUNKSIZE="3000"
PORTAGE_BIN_PATH="/usr/lib64/portage/bin"
PORTAGE_COMPRESS_EXCLUDE_SUFFIXES="css gif htm[l]? jp[e]?g js pdf png"
PORTAGE_CONFIGROOT="/"
PORTAGE_DEBUG="0"
PORTAGE_DEPCACHEDIR="/var/cache/edb/dep"
PORTAGE_ELOG_CLASSES="info warn error log qa *"
PORTAGE_ELOG_MAILFROM="portage@localhost"
PORTAGE_ELOG_MAILSUBJECT="[portage] ebuild log for ${PACKAGE} on ${HOST}"
PORTAGE_ELOG_MAILURI="root"
PORTAGE_ELOG_SYSTEM="save echo"
PORTAGE_FETCH_CHECKSUM_TRY_MIRRORS="5"
PORTAGE_FETCH_RESUME_MIN_SIZE="350K"
PORTAGE_GID="250"
PORTAGE_GPG_DIR="~/.gnupg/"
PORTAGE_GPG_KEY="70EB7916"
PORTAGE_INST_GID="0"
PORTAGE_INST_UID="0"
PORTAGE_PYM_PATH="/usr/lib64/portage/pym"
PORTAGE_REPO_DUPLICATE_WARN="0"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --chmod=ug+w"
PORTAGE_RSYNC_RETRIES="3"
PORTAGE_TMPDIR="/var/tmp"
PORTAGE_VERBOSE="1"
PORTAGE_WORKDIR_MODE="0700"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/data/layman/science /data/layman/sping /data/layman/java-overlay /data/layman/sunrise /data/local/dberkholz /data/local/allenjb /data/local/portage-overlay"
PRELINK_PATH_MASK="/lib/modules:/usr/lib/locale:/usr/lib/wine:/usr/lib/valgrind:*.la:*.png:*.py:*.pl:*.pm:*.sh:*.xml:*.xslt:*.a:*.js:/usr/lib64/klibc"
PROFILE_ONLY_VARIABLES="ARCH ELIBC KERNEL USERLAND"
PWD="/home/justin"
PYMOL_DATA="/usr/share/pymol/data"
PYMOL_PATH="/usr/lib64/python2.6/site-packages/pymol"
PYMOL_SCRIPTS="/usr/share/pymol/scripts"
QUICKPKG_DEFAULT_OPTS="--umask=0011 --include-config=y"
RESUMECOMMAND="/usr/bin/axel -a -o ${DISTDIR}/${FILE} ${URI}"
ROOT="/"
ROOTPATH="/opt/bin:/usr/x86_64-pc-linux-gnu/gcc-bin/4.4.2:/opt/intel/Compiler/11.1/056/bin/intel64:/data/scripts/"
RPMDIR="/usr/portage/rpm"
SESSION_MANAGER="local/whitebox:@/tmp/.ICE-unix/3284,unix/whitebox:/tmp/.ICE-unix/3284"
SHELL="/bin/bash"
SHLVL="2"
SSH_AGENT_PID="3322"
SSH_AUTH_SOCK="/tmp/keyring-xSCB3L/socket.ssh"
STAGE1_USE="multilib nptl nptlonly unicode"
SYMLINK_LIB="yes"
SYNC="rsync://rsync.j-schmitz.net/gentoo-portage"
TERM="rxvt-unicode"
USE="7zip X acl acpi additions alsa amd64 automount bash-completion berkdb blas branding bzip2 cairo cblas cleartype cli cracklib cups custom-optimization cxx dbus deprecated discouraged double-precision dri dts dvdr emboss fastcgi fbcon fbcondecor fbsplash fftw fortran gd gdbm gecko gif glibc-omitfp gmp gnome gnome-keyring gpm grub gtk hal hddtemp icc iconv ifc imlib java javascript jpeg lapack largefile libsexy libv4l2 lm_sensors md5sum mmap mmx mmxext modules mp3 mudflap multicall multilib multiprocess multiuser nano-syntax ncurses network-cron networking nls nptl nptlonly nsplugin numpy nvidia opengl openmp optimize-cflags pam pcre perl png pppd pymol python qt-static readline reflection rrdcgi rtsp sdl sensord session smp spl sse sse2 ssl ssse3 startup-notification svg swat sysfs tcpd tiff truetype type1 unicode v4l v4l2 vorbis x264 xcb xcomposite xorg xulrunner zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en" USERLAND="GNU" VIDEO_CARDS="nvidia v4l" 
USER="justin"
USERLAND="GNU"
USERNAME="justin"
USE_EXPAND="ALSA_CARDS ALSA_PCM_PLUGINS APACHE2_MODULES APACHE2_MPMS CAMERAS CROSSCOMPILE_OPTS DVB_CARDS ELIBC FCDSL_CARDS FOO2ZJS_DEVICES FRITZCAPI_CARDS INPUT_DEVICES KERNEL LCD_DEVICES LINGUAS LIRC_DEVICES MISDN_CARDS NETBEANS_MODULES QEMU_SOFTMMU_TARGETS QEMU_USER_TARGETS SANE_BACKENDS USERLAND VIDEO_CARDS"
USE_EXPAND_HIDDEN="CROSSCOMPILE_OPTS ELIBC KERNEL USERLAND"
USE_ORDER="env:pkg:conf:defaults:pkginternal:env.d"
VIDEO_CARDS="nvidia v4l"
WINDOWID="27263010"
WINDOWPATH="7"
XAUTHORITY="/home/justin/.Xauthority"
XCURSORS_THEME="Jimmac"
XDG_CONFIG_DIRS="/etc/xdg"
XDG_DATA_DIRS="/usr/local/share:/usr/share:/usr/share/gdm"
XDG_MENU_PREFIX="gnome-"
XDG_SESSION_COOKIE="f61380aebc7a1c37956b884349a40094-1258194656.662735-389191551"
_="/usr/bin/emerge"
bash4="4.0.28(2)-release"

=================================================================
                        Package Settings
=================================================================

net-dialup/capi4k-utils-20050718-r3 was built with the following:
USE="(multilib) pppd tcpd -fax -pcmcia -usb"
Comment 1 Stefan Briesenick (RETIRED) gentoo-dev 2010-07-21 14:05:41 UTC
fixed in -r4.